* 3.0.34
- Upgrade logger to log4j2 
== M Rayhan Ferdous Faisal <m.rayhan@samsung.com> 2025-03-12
* 3.0.28
- Version up
== Vivek Ellur <vivek.ellur@samsung.com> 2023-09-29
* 3.0.27
- Version up
== Vivek Ellur <vivek.ellur@samsung.com> 2023-09-29
* 3.0.26
- Add support for 8.0 unified profile
== Vivek Ellur <vivek.ellur@samsung.com> 2023-08-14
* 3.0.25
- Use embedded jdk in dacli
== Dongkyun Son <dongkyun.s@samsung.com> 2020-11-24
* 3.0.24
- Fix GUI defect
== Dongkyun Son <dongkyun.s@samsung.com> 2020-11-24
* 3.0.23
- Adding analytics change
== Nandan Goel <nandan.goel@samsung.com> 2020-11-06
* 3.0.22
- Fix DA GUI Issue
== Karthik Bhat <kv.bhat@samsung.com> 2020-11-04
* 3.0.21
- Allow single instance of DA on mac
== Vikash Minz <vikash.minz@samsung.com> 2020-10-08
* 3.0.20
- Changing progress message
== Nandan Goel <nandan.goel@samsung.com> 2020-09-16
* 3.0.19
- synce with 3.5
== Rahul Dadhich <r.dadhich@samsung.com> 2020-04-29
* 3.0.18
- Removed jaxb-ri dependency
== Aditya Aswani <a.aswani@samsung.com> 2020-01-31
* 3.0.17
- Added embedded jdk support
== Vikash Minz <vikash.minz@samsung.com> 2020-01-22
* 3.0.16
- Downgraded base ide to oxygen
== Aditya Aswani <a.aswani@samsung.com> 2020-01-16
* 3.0.11
- Remove the log message to prevent stuck on close.
== Dongkyun Son <dongkyun.s@samsung.com> 2019-10-24
* 3.0.10
- Remove the log message to prevent the random stuck issues.
== Sangwook lee <sangwook96.lee@samsung.com> 2019-10-23
* 3.0.9
- Upgraded base ide to eclipse 2018-12
== Aditya Aswani <a.aswani@samsung.com> 2019-10-21
* 3.0.8
- Update the plugin version
== sangwook lee <sangwook96.lee@samsung.com> 2019-10-07
* 3.0.7
- Fix the stuck issue on windows
== sangwook lee <sangwook96.lee@samsung.com> 2019-09-26
* 3.0.6
- Fix the build error for Mac
== sangwook lee <sangwook96.lee@samsung.com> 2019-09-23
* 3.0.5
- Version Up For DIBS Build
== Manish Rathod <manish.r@samsung.com> 2019-09-09
* 3.0.4
- Add OpenJDK12 support
== Dongkyun Son <dongkyun.s@samsung.com> 2019-08-21
* 3.0.3
- Removed 32-bit dependencies, as it is deprecated.
== Rahul Dadhich <r.dadhich@samsung.com> 2019-05-13
* 3.0.2
- Revert eclipse-pde respository to avoid build failure.
== Vidhyadhar Jain <vidhyadhar.1@samsung.com> 2019-05-03
* 3.0.1
- added 5.0 protocol support
== Anton Maslennikov <a.maslenniko@samsung.com> 2019-04-03
* 3.0
- sync with tizen_studio_3.0 branch
* 2.7.1
- sync with tizen_studio_3.0
== Aditya Aswani <a.aswani@samsung.com> 2019-03-05
* 2.7.0
- new branch support for tizen studio 3.5
++ Vikash Minz <vikash.minz@samsung.com> 2018-11-16
* 2.6.9
- sync with develop
- Added ignore unknown JVM options
== Rahul Dadhich <r.dadhich@samsung.com> 2018-09-11
* 2.6.8
- DIBS build
== Kapil Jhuria <kapil.jhuria@samsung.com> 2018-08-17
- Fix null pointer occured when press new without previous tracing
- Fix start app command for multiapp packages
- Pull swap's manager.log if failed to get the port
- Fix problem with long start time on windows
- Copy usefull changes from tizen_studio_3.0 branch
- Add error handling in DB connection
- Remove WEB_STARTUP and WEB_PROFILE features
- Add checker for application to stay alive
== Petr Privalov <p.privalov@samsung.com> Oct 31, 2018
- Added ignore unknown jvm options
== Gaurang Khanwalkar <g.khanwalkar@samsung.com> Sept 10, 2018
* 2.6.7
- Fix DA usage with raspberri pi
== Petr Privalov <p.privalov@samsung.com> Jul 03, 2018
* 2.6.6
- Remove camera chart from Peripheral Status as deprecated for Tizen 4.0 (SRADA-2055)
== Maria Guseva <m.guseva@samsung.com> Feb 08, 2018
* 2.6.5
- Upgrade DA to Eclipse Oxygen
- Fix issues with JAVA 9
== Karthik Bhat <kv.bhat@samsung.com> Feb 06, 2018
-Fix DA Launch Fail with JAVA 8
== Karthik Bhat <kv.bhat@samsung.com> Feb 04, 2018
* 2.6.4
- Add fix for Tizen 2.4 devices and emulators (SPTSDKUX-3793, SPTSDKUX-5028)
- Fix problem with file downloading on windows, that used to occure due to
  difference in file separators
== Petr Privalov <p.privalov@samsung.com> Oct 23, 2017
-Fix DA Crash in MAC
== Karthik Bhat <kv.bhat@samsung.com> Feb 04, 2018
* 2.6.3
- Fix internally discovered defects:
  - Some times CPU loading larger 100% or less then 0% on TM1 - workaround applied (SRADA-1784)
  - Lifecycle is not displayed correctly in Timeline tab on TM1, Emulator, Solis (SRADA-1785)
  - CPU Frequency data is not shown (SRADA-1758)
- Fix JIRA defects:
  SPTSDKUX-4935: Horizontal scrollbar doen't appear in DA
== Maria Guseva <m.guseva@samsung.com> Oct 10, 2017
-Fix DIBS build error
== Karthik Bhat <kv.bhat@samsung.com> Feb 01, 2018
* 2.6.2
- Fix UI bugs on exit
  - Child windows will be closed also bu Ctrl + q. (SRADA-1711)
  - All cahced data of DA and eclipse will be removed on DA close. (SRADA-1712)
- Add downloading of sdblib.jar to DA build process. (SRADA-1619)
== Petr Privalov <p.privalov@samsung.com> Sep 29, 2017
-Upgrade DA Base to Eclipse Oxygen
== Karthik Bhat <kv.bhat@samsung.com> Jan 30, 2018
* 2.6.1
- Fix UI Bugs and failures:
  - Fix update of UI Hierarchy Viewer page. (SRADA-1471)
  - Limit width of tables in bottom part of pages between 20% and 80%
    of total width. (SPTSDKUX-1976)
- Redesign communication process to meet up with no root SWAP. (SRADA-1586)
- Improve performance of communication process between DA and SWAP. (SRADA-1493)
- Remove conflicting licenses
- Adjusted logic to update Leaks, Statistics and
  Persistent allocations tables. (SRADA-1494)
- Support changes in sdblib doPull(..) api (SRADA-1619)
- Add unit tests for parsers of objdump and readelf out
* 2.6.0
- Introduce IntervalManager - that keeps info about selected interval
  and determines data to be shown in tables. (SRADA-1351)
- Only two checks performed on target now -
  - availability of sdb and swap. (SRADA-1438)
- Select first device by default, select app if it is only
  one app installed. (SRADA-1449)
- Remove unneded extra start message for apps from multy-app
  packages. (SRADA-1450, SDKRM-1249)
- Turn demangling process to use objdump and readelf instead of
  the obsolete eclipse plugins. (SRADA-1331)
- Replace Thread.sleep() method with Awaitility.await()
  in junit tests. (SRADA-1465)
- Add progress bar for stop trace actions to reflect progress
  when tracing stops. (SRADA-1470)
- Remove a piece of spaghetti code from Toolbar. (SRADA-1485)
- Fix few uncritical swt errors with update of disposed combos.
- SRADA-1041 Fix FindBugs warnings of PERFORMANCE category.
  Most of critical bugs fixed(5 left)
- Fix  Statistics table update.
- Fix null pointer exception in ProgressHolder.
- Fix infinite recursion that may occur by removing of
  the current device. (SRADA-1485)
== Petr Privalov <p.privalov@samsung.com> June 15, 2017
* 2.5.6
- No changes
== Maria Guseva <m.guseva@samsung.com> May 15, 2017
* 2.5.5
- Fix JIRA defects:
  SPTSDKUX-3894: [SE][SDK][Tizen_Studio_1.2_RC3][Mobile_Emu][Testing Tool][Dynamic Analyzer ][TCM-5722] Change the trace save path
== Petr Privalov <p.privalov@samsung.com> Apr 20, 2017
* 2.5.4
- Fix JIRA defects:
  SPTSDKUX-3792: On screen transaction screenshot feature is not working in DA
  SPTSDKUX-3793: Start tracing through CLI is not working for device
== Maria Guseva <m.guseva@samsung.com> April 10, 2017
* 2.5.3
- Introduce new UX of progress bars for time-consuming operations (SRADA-1332)
- Improve strategy of choosing target in Feature dialog for run from IDE case (SPTSDKUX-3595)
- Fix getting port number on Pride device (SRADA-1428)
- Fix JIRA defects:
  SPTSDKUX-3428: Tracing data is not being saved in given path but no failure message shown
  SPTSDKUX-3732: Tooltips are not always shown properly in Feature dialog
== Maria Guseva <m.guseva@samsung.com> March 31, 2017
* 2.5.2
- Get rid of check for libdaprobe library (SRADA-1320)
- Fix JIRA defects:
  SPTSDKUX-3594: [2.4][TCM-5848] Dynamic Analyzer gets hanged
  SPTSDKUX-3595: Dynamic Analyzer global bar "Start" trace button is disabled
== Maria Guseva <m.guseva@samsung.com> March 21, 2017
* 2.5.1
- Fix a regression of hidden in tracing time Call Trace table (regression in DA 2.5.0)
- Show filter icon after filtering above sorting (SRADA-1364)
- Fix a regression of inserting an "unknown" API item into callstack (SRADA-1362)
- Disable sorting in Memory Details table (SRADA-1366)
- Fix popup menu behavior broken with previous redesign of callstack (regression in DA 2.5.0)
- Improve memory usage and performance for HeapAllocation profiling (SRADA-1231)
  - Add primary keys and indexes for database tables
  - Update HSQLDB to 2.3.4 version
  - Heavy queries to database are executed in separate threads
  - All data calculation for Statistics and Persistent Allocations tables is
    moved to database
  - Increase max memory available to DA from 512MB to 1GB
- Fix incorrect memory map building (SRADA-1327)
- Add device serial number to pop-up notifications (SRADA-1255)
- Removed redundant double updates in left table views (SRADA-1374)
  - Remove deprecated logic related to Interactive, Kernel, Range Analysis
    and User Interface pages
  - Replace 'Analyze range' pop-up menu item for charts with 'Select range'
- Fix synchronization issues in DeviceManager and NotificationManager (regression in DA 2.5.0)
- Fix NullPointerException in TableTooltipListener (SRADA-1390)
- Fix JIRA defects:
  SPTSDKUX-3428: Tracing data is not being saved in given path but no failure message shown
== Dmitriy Nikiforov <d.nikiforov@partner.samsung.com> February 28, 2017
* 2.5.0
- Fix bug with incorrect callstack construction (SRADA-1274):
    - Callstack is shown only after tracing is stopped
    - Function Profiling data processing totally redesigned
- Fix behaviour of Cancel button in start tracing progress bar (SRADA-1105)
- Fix memory map building (SRADA-1327)
- Fix bug with Core Usage feature not working when it's only one selected (SRADA-947)
- Fix Memory Callstack table to be shown only when needed (SRADA-1350)
- Enable function profiling for application libraries (SRADA-1287)
- Show memory map for selected time (SRADA-1116)
- Add ability to copy data from tables (SRADA-1226)
- Add ability to export data from tables to file (SRADA-1336)
- Add filter/sort icons for the tables (SRADA-1334)
- Add notification popups on devices connect/disconnect (SRADA-1255)
- Add target connection status icons in Feature dialog (SRADA-1254)
- Add guide text on timeline page if connected device doesn't match selected (SRADA-1256)
- Add possibility to configure features in Feature dialog (SRADA-1333)
- Disable logging of SWAP messages by default to improve performance (SRADA-1348)
- Improve memory usage for HeapAllocation profiling (SRADA-1231)
- Refactor HeapDataManager class (SRADA-1231)
- Java version compliance changed to 1.8 in main pom.xml and in projects: org.tizen.dynamicanalyzer,
org.tizen.dynamicanalyzer.widgets
- Fix JIRA defects:
  SPTSDKUX-2998 Lifecycle bar is showing wrong status for web project
== Maria Guseva <m.guseva@samsung.com> February 08, 2017
* 2.4.5
- Add native widget applications to blacklist
- Update warning message text for unsupported applications
- Fix JIRA defects:
  SPTSDKUX-2885: UI is distorted while clicking on screenshot feature in prefrences window.
  SPTSDKUX-2966: Search not working for Range Analysis tab
  SPTSDKUX-2972: Dynamic analyzer placement is change when check / uncheck Detail option from View menu
== Maria Guseva <m.guseva@samsung.com> December 21, 2016
* 2.4.4
- Apply a workaround for non-root sdbd
- Make Persistent Allocations table to be hidden by default
- Introduce Leaks tables
- Show leaks in only profiled application binary to be 100% true positive
- Refactor HeapDataManager to use less memory
- Fix CLI arguments' descritions to be started with small letter
- Fix crashes in TargetDialog occured in platform mode
- Fix bug with creation of multiple tabs with the same view (regression in DA 2.4.0)
- Fix for Startup table not filled (regression in DA 2.4.0)
- Fix unit tests failures
- Remove obsolete methods in DeviceInfo
- Remove redundant debug message on mouse up in toolbar
- Remove redundant debug message about app ids
- Fix JIRA defects:
  SPTSDKUX-2879: All application package name are cropped.
  SPTSDKUX-2964: Tracing unable to start second time when select Range during tracing.
== Maria Guseva <m.guseva@samsung.com> December 12, 2016
* 2.4.3
- Fix chart tooltip redrawing on mouse move event
- Fix View>Report toggles state after trace opening
- Fix issue with interrupted Callstack Inserter thread join on Cancel button
- Fix 5 bugs reported by SonarQube
- Fix JIRA defects:
  SPTSDKUX-2702: Lifetime chart not shown the Initializing status
  SPTSDKUX-2890: Reset to default button is not working properly in prefrences window
== Maria Guseva <m.guseva@samsung.com> December 01, 2016
* 2.4.2
- Fix UI Event list not shown due to NullPointerException (regression in DA 2.4.1)
- Fix empty heap chart for main executable (regression in DA 2.4.1)
- Fix JIRA defects:
  SPTSDKUX-2495: DA Launch Delayed too much
  SPTSDKUX-2722: Capture icon is not add screenshot tab for second time tracing
== Maria Guseva <m.guseva@samsung.com> November 25, 2016
* 2.4.1
- Add support for multi-application packages
- Fix Persistent Allocations table update after filtering
- Improve table columns resize behaviour
- Fix FindBugs issues of Performance category in widgets and common packages
- Fix JIRA defects:
  SPTSDKUX-2449: Error Pop-up shows for the First time when clicking on start Trace for Web Project on Emulator (UIHV)
  SPTSDKUX-2225: No Texture Information is shown in DA
== Maria Guseva <m.guseva@samsung.com> November 22, 2016
* 2.4.0
- Add LeakSanitizer preference option for HeapAllocation profiling,
supported in both GUI and CLI
- Add filtering popup menu to most non-tree tables
- Add allocator address to show in Memory Callstack
- Add 'version' command to DACLI
- Unify UI for labels of hidden tables
- Fix Ctrl+F shortcut and search button of toolbar
- Fix new line constants in CommonConstants
- Fix known CLI communication issues
- Fix issues in CLI output formatting
- Fix Release Note link reference
- Fix empty fields in GLTexture table
- Add version information in DA logs
- Add names for unnamed threads
- Improve HeapDataManager memory usage
- Refactor DA*Composite classes
- Partly cleanup classes for deadcode: AnalyzerLabels, Toolbar,
OpenTraceProgress, SettingDataManager, MenuBarLabels
- Delete unused classes/packages: SaveAsDialog, ReplayButton, ReplayEditButton,
ReplayManager, replayEditor, summary.leaks.
- Delete unused and duplicated image resources
- Fix JIRA defects:
  SPTSDKUX-1970: Resize ratio is not maintained on resizing exclusing and inclusive tab
  SPTSDKUX-2292: List is unable to scroll in Range table.
  SPTSDKUX-2454: Startup info is not showing for target Mobile device
== Maria Guseva <m.guseva@samsung.com> November 16, 2016
* 2.3.21
- Fix JIRA defects:
  SPTSDKUX-2442: Unable to Launch web app in target mobile device.
  SPTSDKUX-2452: Selected path from Heap allocation chart is not highlight the path under Statistics table.
== Maria Guseva <m.guseva@samsung.com> October 26, 2016
* 2.3.20
- Improve Memory Range Analysis UX
- Rename classes related to Persistent Allocations view
- Fix JIRA defects:
  SPTSDKUX-2099: Screenshot key is generate automatically (there are 2 keys generated)
  SPTSDKUX-2266: Text in the text box of UI Hierachy are not Visible.
  SPTSDKUX-2389: Different profile Selected feature list should not display
  SRADA-1185: Screenshots are always captured by default
== Maria Guseva <m.guseva@samsung.com> October 25, 2016
* 2.3.19
- Fix DA CLI failed to create log directory
- Fix filtering doesn't work when click on Dlog table header
- Fix bug in the Memory Callstack table
- Fix JIRA defects:
  SPTSDKUX-2297: How to use Dynamic analyzer is showing the old DA  working.
  SPTSDKUX-2315: Startup info is not showing for Wearable.
== Maria Guseva <m.guseva@samsung.com> October 18, 2016
* 2.3.18
- Fix Function Profiling info to be properly collected and shown
- Fix missed call trace data after saving trace
- Fix refinements in Remote Device dialog
- Fix filtering popup menu for Persistent Allocations table
- Fix bug with missing Heap Allocation charts (regression in DA 2.3.17)
- Fix SWT exception occured in application combobox
- Fix JIRA defects:
  SPTSDKUX-2223: Thread Detail is not Showing in DA
  SPTSDKUX-2248: The Path to Export Log is not Visible in Export Log Window
== Maria Guseva <m.guseva@samsung.com> October 11, 2016
* 2.3.17
- Memory Map table now shows maps for different processes separately
- Implement filter popup menu for Persistent Allocations table
- Update screenshot feature selection in CLI
- Update according to common-eplugin SdbHelper API changes
- Fix About dialog according to GUI guide
- Fix port accuring for CLI communication process
- Fix application selection combobox to be up to date
- Fix the list of selected features not updated on target change (regression in DA 2.3.16)
- Fix Persistent Memory charts for main executable (regression in DA 2.3.16)
- Fix Persistent Memory charts to be updated immediately on switch on/off (regression in DA 2.3.16)
- Fix 13 FindBugs warnings
- Modify architecture of CallTraceView class
- Replace pixel top offsets in SearchDialog with ratio offsets
- Refactor SettingDataManager class
- Fix JIRA defects:
  SPTSDKUX-1909: Startup info not shown when selecting UIHV features
  SPTSDKUX-2159: In Dynamic analyzer while typing any text in remote device window, GUI gets disturbed.
== Maria Guseva <m.guseva@samsung.com> October 05, 2016
* 2.3.16
- Improve Memory Statistics table and Heap Allocation charts UX:
 - change data model of Statistics table to tree,
 - add agreggated data for libraries under 'Total' entry,
 - add cross-focus from table to Heap Allocation charts and vice versa,
 - rearrange columns in more sensible order,
 - fixed different names for unknown libraries in charts and table,
 - add charts sorting according to table,
 - improve rendering of starting points on charts
- Timeline markers are numbered now
- Introduce new Memory Range Analysis view
- Introduce new Persistent Memory charts
- Add cross-focus from Persisent Allocations table to chart and vice versa
- Adjust size of Address column in Callstack view
- Adjust Search Dialog controls sizes and positions
- Fix shown zeros of System memory in Memory Details table
- Fix Screenshot feature preferences to be able to be turned off totally
- Change dotted line border of Process sub-chart
- Redesign DA CLI process management
- Refactor TargetData class
- Redesign TargetDataTest and SettingDataManagerTest to match FlatFeature functionality
- Fix 45 FindBugs warnings
- Fix JIRA defects:
  SPTSDKUX-2103,
  SPTSDKUX-2155,
  SPTSDKUX-2167
== Maria Guseva <m.guseva@samsung.com> September 28, 2016
* 2.3.15
- Add Memory Call stack feature
- Reduce DA package size again (76MB -> 54MB)
- Improve Allocation Trace table: rename to Persistent Allocations,
add PID and TID columns, remove useless "Live" column
- Add UI Event dialog (UI Event chart -> Right click -> Event list)
- Fix Dlog missing on Tizen 3.0 platform.
- Fix bug with missing Process Chart after first tracing run
- Fix tooltip for Memory Tab
- Fix failure of application list's building for an empty package
- Fix JIRA defects:
SPTSDKUX-1919,
SPTSDKUX-1977,
SPTSDKUX-1978,
SPTSDKUX-1980,
SPTSDKUX-1986,
SPTSDKUX-1988,
SPTSDKUX-1992,
SPTSDKUX-2048
== Maria Guseva <m.guseva@samsung.com> September 20, 2016
* 2.3.14
- Fix JIRA defects: SPTSDKUX-1951, SPTSDKUX-1938, SPTSDKUX-1932, SPTSDKUX-1887
- Change the title font of About Dialog Bold to Normal
== Gihun Chang <gihun.chang@samsung.com> August 31, 2016
* 2.3.13
- Update About dialog with the general UI guide.
- Fix marker line missing on "process" sub-chart of CPU Usage
- Fix navigation items on menu
== Gihun Chang <gihun.chang@samsung.com> August 26, 2016
* 2.3.12
- Fix DIBS build for ubuntu-32/64 platforms.
- Fix app search problem on Ubuntu dash.
- Fix chartboard UI errors and range analysis issue on File, Network, Thread pages
== Gihun Chang <gihun.chang@samsung.com>
* 2.3.11
- PRODUCT: Change IDE.app name to TizenStudio.app
== Yoonki Park <yoonki.park@samsung.com>
* 2.3.10
- Use the most recent common-eplugin libraries
- Reduce the package size.
- Fix UI broken issue on Ubuntu.
- Fix to make correct save and load captured data.
- Fix "CPU Load" values in timeline charts to be properly scaled
- Apply resizable tab button depend on the window and table column size.
- Remove "Recording" option on preference dialog due to Record & Replay functionality is not featured.
- Remove unused popup menu at table view
- Fix bugs in feature that add marker by double click at table view
- Remove "Sync analysis" feature as duplicate of "Thread analysis"
- Some style changes at chart view
== Maria Guseva <m.guseva@samsung.com> August 11, 2016
* 2.3.9
- Improve output of DA CLI "stop" command.
- Add check for application existence in DA CLI "start" command.
- Add new DA CLI option to select screenshot capturing.
- Fix bug in saving trace with DA CLI: only required charts are saved now.
- Fix range selection and lifecycle not working on DA timeline.
== Maria Guseva <m.guseva@samsung.com> July 29, 2016
* 2.3.8
- Hot fix for Windows install scirpt to apply new icon.
== Maria Guseva <m.guseva@samsung.com> July 25, 2016
* 2.3.7
- Apply new DA icon.
- Fix key-shortcut behavior.
- Fix cut word on feature descrption on feature dialog.
- Fix unneeded opening of Summary page for CLI data.
== Maria Guseva <m.guseva@samsung.com> July 22, 2016
* 2.3.6
[Usability]
- Introduce key shortcuts to help developer use DA similiar to another profiling tools.
- Revise and update the text used in DA UI as descriptions, notification messages etc.
- Introduce dimension switcher in OpenGL page in order to switch x-axis between the time and the frame.
[Functionality]
- Introduce Command Line Interface
== Maria Guseva <m.guseva@samsung.com> July 20, 2016
* 2.3.5
- Improve range analysis and search feature
- Add Detail, Report, Search, Target and About functions into Menu
== Dongkyu Lee <dongkyu6.lee@samsung.com> June 30, 2016
* 2.3.4
- fix bug : add a library for org.tizen.common
== Dongkyu Lee <dongkyu6.lee@samsung.com> June 9, 2016
* 2.3.3
- fix bug : dlog table
- Change textbox to combo box in Preference dialog
== Dongkyu Lee <dongkyu6.lee@samsung.com> June 9, 2016
* 2.3.2
- Update timeline chart clearly when the scale changes.
== Gihun Chang <gihun.chang@samsung.com> June 1, 2016
* 2.3.1
- Improve load/save functionality.
- Imporve Feature Dialog usability (wheel speed, mouse over)
- Sync selected scale/process between pages.
- Remove version on tool shortcut name.
== Gihun Chang <gihun.chang@samsung.com> May 31, 2016
* 2.3.0
- Chcange overall UX based on UI & GUI guideline.
- Menu bar is added to support various DA functionality.
- Dlog feature is enabled.
== Gihun Chang <gihun.chang@samsung.com> May 26, 2016
* 2.2.0
- Overall tab image and layout are improved to make user feel more comfortable.
- Performance of launching, device connection and trace stop are improved.
- Add zoom/scroll key short-cut button to operate DA more conveniently.
- Modify error/warning message to be meaningful and understandable.
- Add "error log" export functionality when error/warning messages is pop.
- Change overall layout on summary tab and timeline tab.
- Check process existence to prevent when a selected process is terminated before trace starting.
== Gihun Chang <gihun.chang@samsung.com> April 7, 2016
* 2.1.90
- modify About dialog to follow SDK common convention
- change title to Dynamic Analyzer
- fix bug - overhead description is not shown
== Woojin Jung <woojin2.jung@samsung.com> 2016-03-09
* 2.1.89
- add table filtering feature
- fix bug of network chart
- use java 1.7 (previously 1.6)
- remove windows executables in other OS packages
== Woojin Jung <woojin2.jung@samsung.com> 2016-03-08
* 2.1.88
- support UI Hierarchy viewer in tizen 2.3.1
- add UI Hierarchy template for settings
== Jaewon Lim <jaewon81.lim@samsung.com> 2016-02-19
* 2.1.87
- added some protocol change to support more powerful security policy
== Jaewon Lim <jaewon81.lim@samsung.com> 2016-02-15
* 2.1.86
- enable wearable profile in the setting dialog
== Heeyoung Hwang <hy.hwang@samsung.com> 2016-01-06
* 2.1.85
* 2.1.79
- add system monitoring : cpu load
== Woojin Jung <woojin2.jung@samsung.com> 2016-02-04
* 2.1.78
- use new API of sdb library
- add UI Hierarchy analysis
- UX improvement : change default sorting order of function profiling table
- fix bug about Edit chart dialog of checkpoint page
- remove Apple JDK dependency for MacOS
- support source view for platform project
- increase overhead value for memory allocation
- improve device connection management
- fix bug of network chart
- EDC library parse multi-byte path
- process activity template include memory allocation feature
- remove wait timeout of setting dialog when trace is from IDE
- save can be done via shortcut, check file name length
- remove root privilege for security
- system memory feature no longer shows heap allocation chart
- enhance security
- fix bug of thread page (thread state change, tid sorting in sync chart)
- refresh chart when page transition
- disable replay when record is disabled
- fix exception and potential bugs
- fix windowing table bug when scroll is moved
- add percent number in progress dialog
== Woojin Jung <woojin2.jung@samsung.com> 2016-02-04
* 2.1.77
- modify shortcut name for windows/macos
== Heeyoung Hwang <hy.hwang@samsung.com> 2015-09-21
* 2.1.76
- fix bug - cannot execute debuginfo script in windows (RPM extraction)
== Jaewon Lim <jaewon81.lim@samsung.com> 2015-09-12
* 2.1.75
- fix bug - invalid protocol parsing (with IDE)
== Woojin Jung <woojin2.jung@samsung.com> 2015-09-09
* 2.1.74
- change setting for TV
== Woojin Jung <woojin2.jung@samsung.com> 2015-07-25
* 2.1.73
- fix bug - open fail when checkpoint data is not in save file
- fix checkpoint protocol bug
- change trace stop policy - only when user click stop button
== Woojin Jung <woojin2.jung@samsung.com> 2015-07-22
* 2.1.72
- modify shortcut name to support multi SDK installation
== Woojin Jung <woojin2.jung@samsung.com> 2015-07-21
* 2.1.71
- fix null pointer exception
- add database converter to support multi platform (backward compatibility)
- fix bug - auto-stop while replaying does not work
- remove version from target profile in the setting dialog
- remove temp save file from open dialog
== Woojin Jung <woojin2.jung@samsung.com> 2015-07-13
* 2.1.70
- modify install/remove script to handle path with space
- adjust tooltip position of chart
- modify title of sync child chart
== Jaewon Lim <jaewon81.lim@samsung.com> 2015-07-01
* 2.1.69
- remove continuity check of log sequence
- fix bug - overhead message is cut in windows environment
== Jaewon Lim <jaewon81.lim@samsung.com> 2015-06-29
* 2.1.68
- apply new protocol to database related routine
- fix parsing error of checkpoint log
- add new platform version in setting dialog
== Woojin Jung <woojin2.jung@samsung.com> 2015-06-29
* 2.1.67
- add new feature - checkpoint analysis, app startup profiling
- support multi platform
== Woojin Jung <woojin2.jung@samsung.com> 2015-06-15
* 2.1.66
- fix a bug that cannot insert whole data at stress test
== Jaewon Lim <jaewon81.lim@samsung.com> 2015-02-06
* 2.1.65
- fix a bug when tracing stopped by log overflow (timer stop problem)
== Jaewon Lim <jaewon81.lim@samsung.com> 2015-01-16
* 2.1.64
- refactor ByteUtil
- fix some error of binary setting tab
- fix callstack bug
- fix leak logic for thread safety
- add database table for life-cycle log
== Jaewon Lim <jaewon81.lim@samsung.com> 2015-01-16
* 2.1.63
- remove file leak detection
== JuYoung Kim <j0.kim@samsung.com> 2014-11-24
* 2.1.62
- bug fix of file name in the file analysis
== JuYoung Kim <j0.kim@samsung.com> 2014-11-06
* 2.1.61
- change the default value of screenshot to 10sec
== JuYoung Kim <j0.kim@samsung.com> 2014-11-05
* 2.1.60
- Bugfix of file and thread analysis
- use the getprobemap command
- bug fix of disabled application list
== JuYoung Kim <j0.kim@samsung.com> 2014-11-04
* 2.1.59
- Optimize the thread analysis
- Optimize the function profiling
- Optimize the file analysis
- Update the UX of setting dialog
- Fix Bug : Some apps are not launched
== JuYoung Kim <j0.kim@samsung.com> 2014-11-03
* 2.1.58
- Fix Bug : screenshot periodically in Setting Dialog
== Heeyoung Hwang <heeyoung1008.hwang@samsung.com> 2014-10-28
* 2.1.57
- modify options tab in Setting Dialog
- Fix Bug : internal leak detection
== Heeyoung Hwang <heeyoung1008.hwang@samsung.com> 2014-10-23
* 2.1.56
- Refactoring DB: optimize the file/leak detection
- Fix Bug: UI Event chart, Setting
- Refactoring Thread: use new DB table
== JuYoung Kim <j0.kim@samsung.com> 2014-09-26
* 2.1.55
- bugfix of Setting in the Mac and Windows
== JuYoung Kim <j0.kim@samsung.com> 2014-09-20
* 2.1.54
- BugFix: packaging error
== woojin jung <woojin2.jung@samsung.com> 2014-09-20
* 2.1.53
- customize the source link feature to support the DWARF4
- BugFix: small bugfix in the Setting, Chart, Snapshot, File analysis
== JuYoung Kim <j0.kim@samsung.com> 2014-09-20
* 2.1.52
- Add Setting Dialog Template
== Heeyoung Hwang <heeyoung1008.hwang@samsung.com> 2014-09-18
* 2.1.51
- Optimize the function range analysis
- remove some bugs in file analysis
== JuYoung Kim <j0.kim@samsung.com> 2014-09-18
* 2.1.50
- Add File Analysis feature
== Hyeran Kim <hyeran74.kim@samsung.com> 2014-09-05
* 2.1.49
- Bug fix - open trace file (revision parsing logic)
== Jungwook Ryu <jungwook.ryu@samsung.com> 2014-09-04
* 2.1.48
- bug fix for memory overflow check logic and DaLimit's variable
- apply other enhancements
== Seokgil Kang <seokgil.kang@samsung.com> 2014-08-29
* 2.1.47
- modify build dependency for kepler build
- modify Summary layout of the warning detail view
- Revision heap chart for library allocation
- Platform Support: support Windows, Mac OS
- add mechanism to save the data that cannot be inserted to database at runtime
- database tuning
- fix some bugs
== Jungwook Ryu <jungwook.ryu@samsung.com> 2014-08-29
* 2.1.46
- bug fix. Dynamic Analyzer window will be hang while go through "About Tizen Dynamic Analyzer"icon
== Hyunjong Park <phjwithyou.park@samsung.com> 2014-08-14
* 2.1.45
- bug fix for OS Windows (misuse File.separator for separate swap imagePath)
== jungwook ryu <jungwook.ryu@samsung.com> 2014-08-11
* 2.1.44
- fix for protocol change
== Jaewon Lim <jaewon81.lim@samsung.com> 2014-08-08
* 2.1.43
- Apply new UI design
- add running process profiling feature
- modify to launch efl app using launch_pad
- remove check logic for internal_network
- fix communicator for "settings" app
- bug fix for callstack table
== jungwook ryu <jungwook.ryu@samsung.com> 2014-08-07
* 2.1.42
- bug fix : when auto screenshot is enabled, periodic screenshot request should not be sent
- disable change of setting values during tracing
== woojin jung <woojin2.jung@samsung.com> 2014-07-08
* 2.1.41
- bug fix in communicator for windows, macos
- drop LogData when it has corrupted data
== woojin jung <woojin2.jung@samsung.com> 2014-07-07
* 2.1.40
- Source link support for CoreApp
- Remove apps within one package
== j0kim <j0.kim@samsung.com> 2014-07-04
* 2.1.39
- bug fix for exception when specific application is selected in app combo
- bug fix for exception when new feature is on and feature page is newly displayed
== Jaewon Lim <jaewon81.lim@samsung.com> 2014-07-04
* 2.1.38
- Refactoring: OpenGL, Network, Chart
- Bug fix: failure in leak detection of range analysis
== j0kim <j0.kim@samsung.com> 2014-07-04
* 2.1.37
- apply new DB schema to Range Analysis
- screenshot bug fix for not getting screenshot file from target
- revision configuration default value, disable timelinechart (UI event, Device)
== woojin jung <woojin2.jung@samsung.com> 2014-06-27
* 2.1.36
- bug fix for trace on real device
== Jungwook Ryu <jungwook.ryu@samsung.com> 2014-06-27
* 2.1.35
- launch bug fix for mac
== Jaewon Lim <jaewon81.lim@samsung.com> 2014-06-27
* 2.1.34
- fix for release
== j0kim <j0.kim@samsung.com> 2014-06-27
* 2.1.33
- new UX Design
== j0kim <j0.kim@samsung.com> 2014-06-17
* 2.1.32
- enable source view for EFL application
== woojin jung <woojin2.jung@samsung.com> 2014-05-17
* 2.1.31
- fix build properties
== jaewon81 <jaewon81.lim@samsung.com> 2014-05-16
* 2.1.30
- supporting EFL
== j0kim <j0.kim@samsung.com> 2014-05-16
* 2.1.29
- add build properties in appearance and common plugin
== jaewon81 <jaewon81.lim@samsung.com> 2014-04-17
* 2.1.28
- fix feature.xml (add debug.core plugin)
== jaewon81 <jaewon81.lim@samsung.com> 2014-04-17
* 2.1.27
- fix feature.xml
== jaewon81 <jaewon81.lim@samsung.com> 2014-04-16
* 2.1.26
- Support the SWAP framework
== j0kim <j0.kim@samsung.com> 2013-05-24
* 2.1.18
- Refactored to sdblib
== kh5325.kim <kh5325.kim@samsung.com> 2013-05-24
* 2.1.16
- Refactored to sdblib
== kh5325.kim <kh5325.kim@samsung.com> 2013-05-22
* 2.1.10
- enable welcome dialogbox
== phjwithyou.park <phjwithyou.park> 2013-04-10 21:04
* 2.1.6
- set log argument
== j0.kim <j0.kim@samsung.com> 2013-03-13 14:15
* 2.1.5
- change welcome message
== j0.kim <j0.kim@samsung.com> 2013-03-13 14:04
* 2.1.4
- da agument
== j0.kim <j0.kim@samsung.com> 2013-03-13 13:02
* 2.1.3
- feature configuration dialog
== j0.kim <j0.kim@samsung.com> 2013-03-13 11:50
* 2.1.2
- add feature configuration dialog
== j0.kim <j0.kim@samsung.com> 2013-03-13 09:41
* 2.1.1
- package version update
== j0.kim <j0.kim@samsung.com> 2013-03-08 16:19
* 2.1.0
- package version update
== j0.kim <j0.kim@samsung.com> 2013-03-08 15:58
* 0.3.53
- get applist bug fixed
== j0.kim <j0.kim@samsung.com> 2013-02-28 16:15
* 0.3.52
- improve logic for file and thread page.
== j0.kim <j0.kim@samsung.com> 2013-02-20 15:08
* 0.3.51
-  change file chart color
== j0.kim <j0.kim@samsung.com> 2013-02-04 18:51
* 0.3.50
- fix command to get app list
== j0.kim <j0.kim@samsung.com> 2013-01-23 20:24
* 0.3.49
- change command to get app list
== j0.kim <j0.kim@samsung.com> 2013-01-23 19:54
* 0.3.48
- bug fix. open trace with snapshot
== j0.kim <j0.kim@samsung.com> 2013-01-23 15:30
* 0.3.47
- change scene log
== j0.kim <j0.kim@samsung.com> 2013-01-23 12:18
* 0.3.46
- add feature UI transeformTime
== j0.kim <j0.kim@samsung.com> 2013-01-18 17:57
* 0.3.45
- thread page - warning added
== j0.kim <j0.kim@samsung.com> 2013-01-16 11:52
* 0.3.27
- tabel selection bug fix, snapshot bug fix
== j0.kim <j0.kim@samsung.com> 2013-01-15 21:54
* 0.3.26
- change path from app to developer
== j0.kim <j0.kim@samsung.com> 2013-01-15 16:38
* 0.3.25
- progress bar hang bug fix
- range selection bug fix
== j0.kim <j0.kim@samsung.com> 2012-12-26 19:41
* 0.3.24
- Add MacOS Install Path
== j0.kim <j0.kim@samsung.com> 2012-12-26 15:59
* 0.3.23
- da_daemon size check bug fixed
== j0.kim <j0.kim@samsung.com> 2012-12-21 21:28
* 0.3.22
-  calltrace view tid cloumn added
== j0.kim <j0.kim@samsung.com> 2012-12-21 17:57
* 0.3.21
- Add filtering function for the open log from the application main function
== phjwithyou.park <phjwithyou.park> 2012-12-10 16:45
* 0.3.20
- unknown
== j0.kim <j0.kim@samsung.com> 2012-12-03 21:08
* 0.3.19
- disable frame work event;
- apply screenshot orientation
== j0.kim <j0.kim@samsung.com> 2012-12-03 21:03
* 0.3.18
- disable frame work event;
- apply screenshot orientation
== j0.kim <j0.kim@samsung.com> 2012-12-03 20:24
* 0.3.15
- fix checking mechanism for aliveness of daemon
== jaewon81.lim <jaewon81.lim@samsung.com> 2012-10-29 21:50
* 0.3.14
- executable plug-in added
== j0.kim <j0.kim@samsung.com> 2012-10-26 17:21
* 0.3.13
- executable plug-in added
== j0.kim <j0.kim@samsung.com> 2012-10-26 17:13
* 0.3.12
- * 0.3.12
- - IDE 연동 부분 수정
- - sdblib update
- - thread refactoring
- == 이주열 mailto:jy.exe.lee@samsung.com 2012-10-26
== j0.kim <j0.kim@samsung.com> 2012-10-26 16:39
